#include <iostream>

#include <kycppunit.hpp>


class Sample1 : public ky::TestCase
{
	public:
		Sample1() {}
		~Sample1() {}
		void setUp()
		{
			std::cout << "setUp()" << std::endl;
		}
		void tearDown()
		{
			std::cout << "tearDown()" << std::endl;
		}
		void testSample1()
		{
			std::cout << "testSample1" << std::endl;
		}
		void testSample2()
		{
			std::cout << "testSample2" << std::endl;
			ky::Assertion::fail();
		}
		void suite()
		{
			RUN_TEST(testSample1);
			RUN_TEST(testSample2);
		}
};

int main(int argc, char* argv[])
{
	(void) argc;
	(void) argv;
	Sample1 sample;
	sample.suite();


	return 0;
}

